Webhooks
Webhooks List
Retrieve a list of webhooks.
Authorization
oauth2 webhooks:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: webhooks:read
Query Parameters
name?string
Name
events?array<>
Event Triggers
active?boolean
Is Active?
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/webhooks/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"active": true,
"api_version": "string",
"created_at": "2019-08-24T14:15:22Z",
"events": [
"string"
],
"id": 0,
"name": "string",
"next_check_date": "2019-08-24T14:15:22Z",
"secret_key": "string",
"target": "http://example.com",
"updated_at": "2019-08-24T14:15:22Z",
"warning_count": 0
}
]
}